LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_arith.ALL;

entity instruction_reg is
	port (
			clk, rst: in std_logic;
			data: in std_logic_vector (14 downto 0);
			inst_out: out std_logic_vector (14 downto 0));
end instruction_reg;

architecture behavioral of instruction_reg is
	signal inst_reg : unsigned(14 downto 0);

begin
	action: process(clk, rst) begin
		if rst = '1' then inst_reg <= "000000000000000";
		elsif clk = '1' and clk'event then inst_reg <= unsigned(data);
		end if;
	end process action;
	inst_out <= std_logic_vector(inst_reg);
end behavioral;

